Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.rasmol
Class SequenceAppearance

    java.lang.Object
      jprotein.rasmol.SequenceAppearance

    public class SequenceAppearance

extends java.lang.Object

Constructor Summary
`SequenceAppearance(Sequence3D sequence)`
`SequenceAppearance(Sequence3D sequence, Property property)`

Method Summary
`javax.vecmath.Color3f` | `getColor(int index)`
`boolean` | `isSelected(int index)`
`boolean` | `isTransparent(int index)`
`boolean` | `isVisible(int index)`
`void` | `select(java.util.Vector selection)`
`void` | `selectAll()`
`void` | `setColor(int index, javax.vecmath.Color3f color)`
`void` | `setProperty(Property property)`
`void` | `setSelected(int index, boolean b)`
`void` | `setTransparent(int index, boolean b)`
`void` | `setVisible(int index, boolean b)`
`void` | `unSelectAll()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceAppearance

    public SequenceAppearance(Sequence3D sequence)

### SequenceAppearance

    public SequenceAppearance(Sequence3D sequence,
                              Property property)

Method Detail

### setProperty

    public void setProperty(Property property)

### setColor

    public void setColor(int index,
                         javax.vecmath.Color3f color)

### getColor

    public javax.vecmath.Color3f getColor(int index)

### selectAll

    public void selectAll()

### unSelectAll

    public void unSelectAll()

### isSelected

    public boolean isSelected(int index)

### setSelected

    public void setSelected(int index,
                            boolean b)

### select

    public void select(java.util.Vector selection)

### isVisible

    public boolean isVisible(int index)

### setVisible

    public void setVisible(int index,
                           boolean b)

### isTransparent

    public boolean isTransparent(int index)

### setTransparent

    public void setTransparent(int index,
                               boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD